Name:           hda-hp
Version:        1.0
Release:        1%{?dist}
Summary:        Scripts to handle the headphone jack on HP laptops with snd-hda cards.

Group:          Sound and Video
License:        GPLv2
URL:            ftp://ftp.skynet.be/mirror2/suse.com/people/tiwai/misc/hda-verb-0.3.tar.gz
Source0:        $SOURCE/hda-hp.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gcc
Requires:       alsa-lib > 1.0.18

%description


%prep
%setup -q


%build
make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/hda-hp
mkdir -p $RPM_BUILD_ROOT/usr/bin
mv -f ./* $RPM_BUILD_ROOT/%{_libdir}/hda-hp
mv -f $RPM_BUILD_ROOT/%{_libdir}/hda-hp/headphone* $RPM_BUILD_ROOT/usr/bin
chmod a+x $RPM_BUILD_ROOT/usr/bin/headphone-on $RPM_BUILD_ROOT/usr/bin/headphone-off

%post
ln -s %{_libdir}/hda-hp/hda-verb /usr/bin
chmod a+x /usr/bin/hda-verb

%clean
rm -rf $RPM_BUILD_ROOT


%files
%{_libdir}/hda-hp/hda_hwdep.h
%{_libdir}/hda-hp/hda-verb
%{_libdir}/hda-hp/hda-verb.c
%{_libdir}/hda-hp/hda-verb.o
%{_libdir}/hda-hp/Makefile
/usr/bin/headphone-on
/usr/bin/headphone-off

%defattr(-,root,root,-)
%doc
%{_libdir}/hda-hp/ChangeLog
%{_libdir}/hda-hp/COPYING
%{_libdir}/hda-hp/README


%changelog
* Sat Oct 17 2009 Scott williams <vwbusguy@fedoraproject.org>
Created fix for HP audio based on source code for hda-verb, which can be found at ftp://ftp.skynet.be/mirror2/suse.com/people/tiwai/misc/hda-verb-0.3.tar.gz
